# Module `gears.wallpaper`

### Info:

- Copyright: 2012 Uli Schlachter
- Author: Uli Schlachter

## Functions

prepare_context (s) | Prepare the needed state for setting a wallpaper.
set (pattern) | Set the current wallpaper.
centered (surf, s, background) | Set a centered wallpaper.
tiled (surf, s, offset) | Set a tiled wallpaper.
maximized (surf, s, ignore_aspect, offset) | Set a maximized wallpaper.
fit (surf, s, background) | Set a fitting wallpaper.

## Functions

Methods

prepare_context (s)
  Prepare the needed state for setting a wallpaper. This function returns a cairo context through which a wallpaper can be drawn. The context is only valid for a short time and should not be saved in a global variable.
  - s The screen to set the wallpaper on or nil for all screens

  ### Returns:

  1. The available geometry (table with entries width and height)
  2. A cairo context that the wallpaper should be drawn to
set (pattern)
  Set the current wallpaper.
  - pattern The wallpaper that should be set. This can be a cairo surface, a description for gears.color or a cairo pattern.

  ### See also:

  gears.color
centered (surf, s, background)
  Set a centered wallpaper.
  - surf The wallpaper to center. Either a cairo surface or a file name.
  - s The screen whose wallpaper should be set. Can be nil, in which case all screens are set.
  - background The background color that should be used. Gets handled via gears.color. The default is black.

  ### See also:

  gears.color
tiled (surf, s, offset)
  Set a tiled wallpaper.
  - surf The wallpaper to tile. Either a cairo surface or a file name.
  - s The screen whose wallpaper should be set. Can be nil, in which case all screens are set.
  - offset This can be set to a table with entries x and y.
maximized (surf, s, ignore_aspect, offset)
  Set a maximized wallpaper.
  - surf The wallpaper to set. Either a cairo surface or a file name.
  - s The screen whose wallpaper should be set. Can be nil, in which case all screens are set.
  - ignore_aspect If this is true, the image's aspect ratio is ignored. The default is to honor the aspect ratio.
  - offset This can be set to a table with entries x and y.
fit (surf, s, background)
  Set a fitting wallpaper.
  - surf The wallpaper to set. Either a cairo surface or a file name.
  - s The screen whose wallpaper should be set. Can be nil, in which case all screens are set.
  - background The background color that should be used. Gets handled via gears.color. The default is black.

  ### See also:

  gears.color

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18